TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Sub ( any R, nof(any) a ) -> any S, map() m

### Optional Arguments

Results | elt-ord^rat |  | if Results:=2 also the map is returned

### Description

<shortdoc> The substructure 'S' of 'R' specified by 'a' and the embedding 'm' of 'S' into 'R' if requested. </shortdoc>

### Examples

a := FreeAbelianGroup(2); s := Sub(a,2*a.1,7*a.2);
b := Sub(Z,17,rec(Results:=2));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack